flex layout type script compatibility error

questionsCategory: Questionsflex layout type script compatibility error
Sandeep asked 4 weeks ago

Hi, after installing flex layout getting error.
ERROR in node_modules/@angular/flex-layout/extended/typings/class/class.d.ts(9,19): error TS2305: Module ‘”/home/portal20/Documents/ass1/node_modules/@angular/common/common”‘ has no exported member ‘ɵNgClassImpl’.
node_modules/@angular/flex-layout/extended/typings/class/class.d.ts(9,33): error TS2305: Module ‘”/home/portal20/Documents/ass1/node_modules/@angular/common/common”‘ has no exported member ‘ɵNgClassR2Impl’.
node_modules/@angular/flex-layout/extended/typings/style/style.d.ts(9,19): error TS2305: Module ‘”/home/portal20/Documents/ass1/node_modules/@angular/common/common”‘ has no exported member ‘ɵNgStyleImpl’.
node_modules/@angular/flex-layout/extended/typings/style/style.d.ts(9,33): error TS2305: Module ‘”/home/portal20/Documents/ass1/node_modules/@angular/common/common”‘ has no exported member ‘ɵNgStyleR2Impl’.
enviroment
Package                             Version
————————————————————-
@angular-devkit/architect           0.12.4
@angular-devkit/build-angular       0.12.4
@angular-devkit/build-optimizer     0.12.4
@angular-devkit/build-webpack       0.12.4
@angular-devkit/core                7.2.4
@angular-devkit/schematics          7.2.4
@angular/animations                 7.2.15
@angular/cdk                        8.1.4
@angular/cli                        7.2.4
@angular/common                     7.2.15
@angular/compiler                   7.2.15
@angular/compiler-cli               7.2.15
@angular/flex-layout                7.0.0-beta.24
@angular/forms                      7.2.15
@angular/language-service           7.2.15
@angular/platform-browser           7.2.15
@angular/platform-browser-dynamic   7.2.15
@angular/router                     7.2.15
@ngtools/webpack                    7.2.4
@schematics/angular                 7.2.4
@schematics/update                  0.12.4
rxjs                                6.3.3
typescript                          3.1.6
webpack                             4.28.4